org.apache.pdfbox.pdmodel.interactive.annotation.layout

## Class PlainTextFormatter.Builder

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.annotation.layout.PlainTextFormatter.Builder

Enclosing class:
  PlainTextFormatter

    public static class PlainTextFormatter.Builder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Builder(PDAppearanceContentStream contents)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PlainTextFormatter` `build()`
`PlainTextFormatter.Builder` `initialOffset(float horizontalOffset, float verticalOffset)`
`PlainTextFormatter.Builder` `style(AppearanceStyle appearanceStyle)`
`PlainTextFormatter.Builder` `text(PlainText textContent)`
`PlainTextFormatter.Builder` `textAlign(int alignment)`
`PlainTextFormatter.Builder` `textAlign(org.apache.pdfbox.pdmodel.interactive.annotation.layout.PlainTextFormatter.TextAlign alignment)`
`PlainTextFormatter.Builder` `width(float width)`
`PlainTextFormatter.Builder` `wrapLines(boolean wrapLines)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder(PDAppearanceContentStream contents)

### Method Detail

#### style

    public PlainTextFormatter.Builder style(AppearanceStyle appearanceStyle)

#### wrapLines

    public PlainTextFormatter.Builder wrapLines(boolean wrapLines)

#### width

    public PlainTextFormatter.Builder width(float width)

#### textAlign

    public PlainTextFormatter.Builder textAlign(int alignment)

#### textAlign

    public PlainTextFormatter.Builder textAlign(org.apache.pdfbox.pdmodel.interactive.annotation.layout.PlainTextFormatter.TextAlign alignment)

#### text

    public PlainTextFormatter.Builder text(PlainText textContent)

#### initialOffset

    public PlainTextFormatter.Builder initialOffset(float horizontalOffset,
                                                    float verticalOffset)

#### build

    public PlainTextFormatter build()